local AddName, AddonTable = ...
local L = AddonTable.L

local frame = CreateFrame("Frame")
frame:SetScript("OnEvent", function(__, event, arg1, arg2, arg3, arg4)
if event == "PLAYER_ENTERING_WORLD" or event == "UNIT_AURA" then
	local inInstance, instanceType = IsInInstance()
	
	if AddonTable.Profile.EventEnable then
	if (AddonTable.Profile.EventDungeon and instanceType == "party" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat) then
		AddonTable.Profile.HideHUD = false	
		SinStatsFrame.HUD:Show()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	elseif (AddonTable.Profile.EventDungeon and not inInstance and not AddonTable.Profile.CharPanel) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	elseif (not AddonTable.Profile.EventDungeon and AddonTable.eventChecked and instanceType == "party" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	end
	
	if (AddonTable.Profile.EventRaid and instanceType == "raids" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat) then
		AddonTable.Profile.HideHUD = false	
		SinStatsFrame.HUD:Show()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	elseif (AddonTable.Profile.EventRaid and not inInstance and not AddonTable.Profile.CharPanel) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	elseif (not AddonTable.Profile.EventRaid and AddonTable.eventChecked and instanceType == "raids" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	end
	
	if (AddonTable.Profile.EventPvP and instanceType == "pvp" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat ) then
		AddonTable.Profile.HideHUD = false	
		SinStatsFrame.HUD:Show()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	elseif (AddonTable.Profile.EventPvP and not inInstance and not AddonTable.Profile.CharPanel) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	elseif (not AddonTable.Profile.EventPvP and AddonTable.eventChecked and instanceType == "pvp" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	end	

	if (AddonTable.Profile.EventArena and instanceType == "arena" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat) then
		AddonTable.Profile.HideHUD = false	
		SinStatsFrame.HUD:Show()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	elseif (AddonTable.Profile.EventArena and not inInstance and not AddonTable.Profile.CharPanel) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	elseif (not AddonTable.Profile.EventArena and AddonTable.eventChecked and instanceType == "arena" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	end		
	
	if (AddonTable.Profile.EventWorld and instanceType == "none" and not AddonTable.Profile.CharPanel and not AddonTable.Profile.EventCombat) then
		AddonTable.Profile.HideHUD = false	
		SinStatsFrame.HUD:Show()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	end
	
	if (not UnitAffectingCombat('player') and AddonTable.Profile.EventCombat and not AddonTable.Profile.CharPanel) then
		AddonTable.Profile.HideHUD = true	
		SinStatsFrame.HUD:Hide()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	end	
	end
elseif event == "PLAYER_REGEN_DISABLED" then
	if AddonTable.Profile.EventEnable then
	if (UnitAffectingCombat('player') and AddonTable.Profile.EventCombat and not AddonTable.CharPanel) then
		AddonTable.Profile.HideHUD = false	
		SinStatsFrame.HUD:Show()
		AddonTable:InitialiseProfile(AddonTable.Profile)
	end
	end
elseif event == "PLAYER_REGEN_DISABLED" then
	if AddonTable.Profile.EventEnable then
		if (not UnitAffectingCombat('player') and AddonTable.Profile.EventCombat and not AddonTable.CharPanel) then
			AddonTable.Profile.HideHUD = true	
			SinStatsFrame.HUD:Hide()
			AddonTable:InitialiseProfile(AddonTable.Profile)
		end
	end	
	
end
end)
frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:RegisterEvent("UNIT_AURA")
frame:RegisterEvent("PLAYER_REGEN_DISABLED")
frame:RegisterEvent("PLAYER_REGEN_ENABLED")